logomoneymotion
CheckoutsessionsRpc
background
moneymotion Docs
moneymotion Docs
Checkout Sessions List
POST
/rpc/CheckoutSessionsList
limit?lessThanOrEqualTo(100)

a number less than or equal to 100

Range1 <= value <= 100
offset?greaterThanOrEqualTo(0)

a non-negative number

Range0 <= value
filters?unknown
orderBy?array<object>

Response Body

curl -X POST "https://api.moneymotion.io/rpc/CheckoutSessionsList" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": [
    {
      "storeId": "string",
      "storeName": "string",
      "storeStatus": "string",
      "id": "string",
      "createdAt": "string",
      "createdByCustomerId": "string",
      "status": "pending",
      "ipAddress": "string",
      "email": "string",
      "totalInCents": 0,
      "cardLast4": "string",
      "cardBrand": "string",
      "walletType": "string",
      "walletLast4": "string",
      "walletCardBrand": "string",
      "paymentLast4": "string",
      "paymentCardBrand": "string",
      "country": "string",
      "successUrl": "string",
      "paymentSessionId": "string",
      "threeDsStatus": "Failed"
    }
  ],
  "totalCount": 0,
  "hasMore": true
}